package com.zg.project.Inventory.Visualization.mapper;

import java.util.List;
import com.zg.project.Inventory.Visualization.domain.Odtl;
import com.zg.project.Inventory.Visualization.domain.vo.OdtlVO;

/**
 * 借料出库 明细Mapper接口
 * 
 * @author zg
 * @date 2025-05-09
 */
public interface OdtlMapper 
{
    /**
     * 查询借料出库 明细
     * 
     * @param Id 借料出库 明细主键
     * @return 借料出库 明细
     */
    public Odtl selectOdtlById(Long Id);

    /**
     * 查询借料出库 明细列表
     * 
     * @param odtl 借料出库 明细
     * @return 借料出库 明细集合
     */
    public List<Odtl> selectOdtlList(Odtl odtl);

    /**
     * 新增借料出库 明细
     * 
     * @param odtl 借料出库 明细
     * @return 结果
     */
    public int insertOdtl(Odtl odtl);

    /**
     * 修改借料出库 明细
     * 
     * @param odtl 借料出库 明细
     * @return 结果
     */
    public int updateOdtl(Odtl odtl);

    /**
     * 删除借料出库 明细
     * 
     * @param Id 借料出库 明细主键
     * @return 结果
     */
    public int deleteOdtlById(Long Id);

    /**
     * 批量删除借料出库 明细
     * 
     * @param Ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteOdtlByIds(Long[] Ids);

    List<OdtlVO> queryAll();

}
